FuzzySet.ContainsResult (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.bloom, class: FuzzySet, enum: ContainsResult

Package org.apache.lucene.codecs.bloom

# Enum Class FuzzySet.ContainsResult

java.lang.Object
java.lang.Enum<FuzzySet.ContainsResult>
org.apache.lucene.codecs.bloom.FuzzySet.ContainsResult

All Implemented Interfaces:
  `Serializable`, `Comparable<FuzzySet.ContainsResult>`, `Constable`

Enclosing class:
  `FuzzySet`

public static enum FuzzySet.ContainsResult extends Enum<FuzzySet.ContainsResult>
Result from `FuzzySet.contains(BytesRef)`: can never return definitively YES (always MAYBE), but can sometimes definitely return NO.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MAYBE`
  `NO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FuzzySet.ContainsResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FuzzySet.ContainsResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MAYBE

    public static final FuzzySet.ContainsResult MAYBE

  - ### NO

    public static final FuzzySet.ContainsResult NO

- ## Method Details

  - ### values

    public static FuzzySet.ContainsResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FuzzySet.ContainsResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null